#
# spec file for package python-zaqarclient
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname zaqarclient
Name:           python-zaqarclient
Version:        1.9.0
Release:        lp151.2.3
Summary:        Client Library for OpenStack Zaqar Queueing API
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-ddt >= 1.0.1
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-jsonschema >= 2.6.0
BuildRequires:  python-keystoneauth1 >= 3.3.0
BuildRequires:  python-mock >= 2.0.0
BuildRequires:  python-nose >= 1.3.7
BuildRequires:  python-nose-exclude >= 0.3.0
BuildRequires:  python-os-client-config >= 1.28.0
BuildRequires:  python-osc-lib >= 1.8.0
BuildRequires:  python-oslo.i18n >= 3.15.3
BuildRequires:  python-oslo.log >= 3.36.0
BuildRequires:  python-pbr >= 2.0.0
BuildRequires:  python-python-subunit >= 1.0.0
BuildRequires:  python-requests >= 2.14.2
BuildRequires:  python-requests-mock >= 1.1.0
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 2.2.0
Requires:       python-jsonschema >= 2.6.0
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-osc-lib >= 1.8.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-requests >= 2.14.2
Requires:       python-six >= 1.10.0
Requires:       python-stevedore >= 1.20.0
BuildArch:      noarch

%description
Python client to Zaqar Queueing API.

%package doc
Summary:        Documentation for OpenStack Zaqar Queueing API
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.18.1

%description doc
Documentation for the client library for interacting with Openstack
Zaqar Queueing API.

%prep
%autosetup -n %{name}-%{version}
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%py2_build

# Build HTML docs and man page
%{__python2} setup.py build_sphinx

%install
%py2_install

%check
PYTHONPATH=. nosetests

%files
%doc README.rst ChangeLog examples
%license LICENSE
%{python2_sitelib}/%{sname}
%{python2_sitelib}/python_zaqarclient-*-py?.?.egg-info

%files doc
%doc doc/build/html
%license LICENSE

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Feb 12 2018 cloud-devel@suse.de
- update to version 1.9.0 (bsc#1078607)
  - Update queue metadata test
  - Support client for delayed queues
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 1.8.0
  - Remove -U from pip install
  - Update reno for stable/pike
  - Remove setting of version/release from releasenotes
  - Fix functional CI failure
  - Fix renew claim NoneType error
  - Avoid tox_install.sh for constraints support
  - Fix class Queue __init__ method's param note
  - Updated from global requirements
  - Add claim_count to message __init__()
  - Update queue metadata failed when the original value is zero.
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 1.7.0
  - Support `age` and `confirmed` for subscription
  - Add Ocata version mapping
  - Add subscription other properties
  - CLI: support detailed in queue list
  - Remove "detailed" parser from subscription list
  - Add an example for pre signed URL
  - [Fix gate]Update test requirement
  - Add 'pool' description to pool flavor commands
  - Update reno for stable/ocata
  - Fix query claim NoneType error
  - Fix The header X-PROJECT-ID  missing bug
  - Add ZaqarClient "set metadata" help message
  - CLI: support homedoc in client
  - Update the documentation link for doc migration
  - Change resource_types action
  - Revert "Fix The header X-PROJECT-ID  missing bug"
  - Fix the creation issue when special meanings words in queue name
  - Add new command guide doc
  - Replace the github with git.openstack.org
  - remove "--detailed" in subscription list doc
  - Fix flavor creation issue with CLI
  - Remove log translations
  - Support post and list messages
  - Update purge doc
  - Support purge queue
  - Remove support for py34
  - Switch from oslosphinx to openstackdocstheme
  - Replace uuid.uuid4() with uuidutils.generate_uuid()
  - Drop "os" prefix for project id
  - Fix the inconsistent command format in openstackclient
  - Updated from global requirements
  - Don not show 'capabilities' if not specify '--detailed'
* Thu Jul  6 2017 dmueller@suse.com
- remove doc-tools dependency
* Mon Mar 27 2017 cloud-devel@suse.de
- update to version 1.4.0:
  - Switch to oslo_log
  - Set client module __version__
  - Updated from global requirements
  - Enable release notes translation
  - Remove unnecessary utf8 coding format in the head of files
* Mon Feb 13 2017 cloud-devel@suse.de
- update to version 1.3.0:
  - Remove version in README
  - Add command guide for openstack ping&health CLI
  - Update release note doc
  - Support SSL and Insecure
  - Add profiling support to Zaqar client
  - Add doc for subscription cli
  - Change assertTrue(isinstance()) by optimal assert
  - Update author and home-page
  - Show team and repo badges on README
  - Add the releasenote detail
  - Add Python 3.5 classifier and venv
  - Support keystone session when creating client
  - Fix typos in zaqarclient
  - update doc to Api v2.0
  - Switch keystoneclient to keystoneauth
  - Remove unused openstack-doc-tools from test-requirements.txt
  - Add releasenotes for client
  - Add Constraints support
  - Fix the CI failure
  - Files with no code must be left completely empty
  - Add command guide for openstack flavor CLI
  - Add plug-in summary for osc doc
  - Add command guide for openstack pool CLI
  - Updated from global requirements
  - Remove the TODO for subscription ttl test
  - Fix CI failure
  - translate all command help strings
  - Add command guide for queue
  - Using v2 interface in example
  - Add command guide for openstack claim CLI
  - Delete deprecated directory openstack/common
* Fri Oct  7 2016 tbechtold@suse.com
- Update _service and switch to upstream spec
* Thu Sep 29 2016 tbechtold@suse.com
  update to version 1.2.0
  * Fix tests related to queue attributes in API V2
  * Create a websocket transport
  * Implement CLI support for pool delete
  * Remove discover from test-requirements
  * Fix unexpected output of pools()
  * Remove unused pngmath Sphinx extension
  * Flavor list support for v2
  * Add update queue function in v2
  * Do not catch ConflictError on subscription create
  * Update pool on pool create if it exists
  * Use v2 as the default cli version
  * improve readme contents
  * Remove periods of docstring
  * Make TransportErrors more descriptive
  * Pool delete cli support for v2
  * Add cli support for flavor update v1
  * Clean up flavor test classes
  * Use API version checking directly
  * Added support to v2
  * Flavor update cli support for v2
  * Delete CLI for Get/SetQueueMetadata which is API-v1 only
  * Updated from global requirements
  * Pool update support for v2
  * Refactor the test for v2 queues and messages
  * Query claim CLI support for v1
  * Update the functional test
  * Add requests-mock to test-requirements.txt
  * Add support for subscription show v2
  * Raise ConflictError like other transport errors
  * Expose more CLI commands for v2
  * Delete CLI for CheckQueueExistence which is <=v1.1 only
  * Fix bad "pool list" api v2 entry point for CLI
  * Claim create CLI support for v1
  * "pool_group" word should be used instead "pool"
  * Add Support for subscription list v2
  * Pool & flavor cli implementation for v2
  * Deprecated tox -downloadcache option removed
  * Add cli support for flavor create v1
  * Fix the attribute missing error
  * Update flavor on flavor create if it exists
  * Pool list cli support for v2
  * Support /ping and /health for v2
  * Ensure the float value of api version could work
  * Added pool list support for v1
  * Improve subscription listing
  * Support creating signed url's in client
  * Claim renew CLI support for v1
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Claim release CLI support for v1
  * Fix wrong api version type
  * Add support for subscription create v2
  * Using clouds.yaml to get the credentials
  * Fix typo preventing queue list for v1
  * Use osc-lib instead of openstackclient
  * Remove py26 support
  * Fix order of arguments in assertEqual
  * Fix create pool error
  * Added API_VERSION for v2
  * Support claims for v2
  * Add subscriptions for queue object
  * Added support to claims
  * Fix doc build if git is absent
  * Make sure queue create works for cli
  * Fix the zaqar functional test job
  * Remove pypy support
  * Flavor create CLI support for v2
  * Fix functional test of get_many_messages
  * Fix queue stats for v1.1 and above versions
  * Drop py33 support
  * Expose CLI commands for v2
  * Use osc_lib instead of cliff
  * Add CLI support for signed URLs
  * Add cli support for flavor show v1
  * Support PATCH of queue metadata
  * Add support for flavor list v1
  * Added pool show support to v1
  * Fix freeze of Claim object's age property
  * Add a way to create a signed URL from a queue
  * Handle os_auth_token option in keystone config
  * Add support for subscription delete v2
  * Clean imports in code
  * delete python bytecode before every test run
  * Fix client UnauthorizedError
  * Pool show support for v2
  * Add `flavor` support for v2
  * Using messaging instead of queueing
  * Fix client not working on Python 3
  * Added cli implementation for v2
  * Add `pool` support for v2
  * Added pool update support for v1
  * Fix Subscription's queue_name variable being tuple
  * Refactor queue create
  * Put py34 first in the env order of tox
  * Flavor show cli support for v2
  * Add support for subscription update v2
  * Attaching a default project_id
  * Fixing the deprecated library function
  * Rename `flavor delete` command
* Sun Oct  4 2015 tbechtold@suse.com
- update to 0.2.0:
  * Release notes for 0.2.0
  * Updated from global requirements
  * Allow for authentication in functional tests
  * Don't pass `options` to pool creation
  * Don't reuse request and transport instances
  * Pass `group` in pool's functional tests
  * Send claims `limit` as a query param
  * v1.1 and v2 claims return document not list
  * Make sure the API version is passed down
  * Make v1.1 the default CLI version
  * Updated from global requirements
  * Updated from global requirements
  * Implement CLI support for flavor
  * Implements CLI for pool
  * Raises an error if the queue name is empty
  * Added support to pools and flavors
  * Removed deprecated 'shard' methods
  * Relese notes for zaqarclient 0.1.1
  * Drop incubating theme from docs
  * Deleted unuseful line
  * Drop use of 'oslo' namespace package
  * Fix handling of 1.1 API
  * Update README to work with release tools
  * Gets 'flavor' data if the resource exists
  * Gets 'pool' data if the resource exists
  * Handling exception on 504 Error
  * Updated from global requirements
  * Added i18n support
  * Makes health return True or False
  * Remove unused openstack/common modules
  * Adds encapsulation control to the client
  * Updated from global requirements
  * Extend some docstrings with useful information
  * Add reference docs for latest recommended client
  * Add docs for `Client` instances
  * Setup developer docs for zaqarclient
  * Fix the client name typo
  * Updated from global requirements
  * fix KeystoneAuth doc string
  * Updated from global requirements
  * Updates API name
- add python_requires service to _service
- adjust Requires according to requirements.txt
* Fri Apr 24 2015 tbechtold@suse.com
- Use %%{version} in source
* Thu Apr 23 2015 tbechtold@suse.com
- Switch to version 0.1.0
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.1.0.31.g272e0d2:
  * Handling exception on 504 Error
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.1.0.29.gc9edb97:
  * Gets 'flavor' data if the resource exists
* Sat Nov 29 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.1.0.27.g37aecc1:
  * Gets 'pool' data if the resource exists
  * Makes health return True or False
  * Remove unused openstack/common modules
* Thu Nov 20 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.1.0.22.ge4af424:
  * Updated from global requirements
* Sat Nov 15 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.1.0.21.g99f0b35:
  * Added i18n support
* Sun Nov  9 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.1.0.20.g2acbced:
  * Adds encapsulation control to the client
  * Extend some docstrings with useful information
  * Add reference docs for latest recommended client
  * Add docs for `Client` instances
  * Setup developer docs for zaqarclient
  * Fix the client name typo
  * Updated from global requirements
  * fix KeystoneAuth doc string
* Tue Oct 14 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.1.0.5.g4e60be5:
  * Updated from global requirements
* Tue Oct  7 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.1.0.4.g0c6c0d7:
  * Updated from global requirements
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.1.0.3.gc45326a:
  * Add a read-only property for Queues
* Tue Sep 23 2014 dmueller@suse.com
- Update to version python-zaqarclient-0.1.0.1.gd721b75:
  * Updates API name
  0.1.0
  * Updated from global requirements
  * Cleanup technical debt
  * Always pass a project_id
  * Respect queue's lazy creation
  * Use queue_creation to send queue's metadata
  * Fix functional tests
  * Add support for flavor to the client library
  * Rename `shard` to `pool`
  * Add support for `pop` implemented in v1.1
  * Add support for bulk message delete in v1
  * CLI support for queue existence and metadata operations
  * Send more than 1 message in messages_get_many
  * Start adding support for v1.1
* Tue Sep 16 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.0.3.5.g5dca4b0:
  * Updated from global requirements
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version python-zaqarclient-0.0.3.4.g2eb338b:
  * Work toward Python 3.4 support and testing
  * Dividing markups into multiple lines
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.2.dev2.gc07368f:
  * Updated from global requirements
* Thu Jun 12 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.2.dev1.gf12c0ae:
  * doc: Update README.rst with correct installation and contibution info
  0.0.2
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.2.dev10.gb9cd110:
  * chore: Bump version to 0.0.2 in preparation for bugfix release
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1.dev9.g9614c4f:
  * Throw exceptions on erroneous status codes
  * fix: add https support
* Wed Jun  4 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1.dev6.g38c8c20:
  * Enable deleting of message with claim id
  * Updated from global requirements
  * Initial support for openstack-client
  0.0.1
* Mon May  5 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1.dev41.g9e53235:
  * chore: Classify as Beta (was pre-alpha)
  * Updated from global requirements
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1.dev38.g7ed36c7:
  * Updated from global requirements
* Sun Apr 27 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1.dev37.gd7b6896:
  * Bump client version to 0.0.1
* Fri Apr 25 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev35.g90cceee:
  * Don't stream by default
* Thu Apr 24 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev33.g1d59758:
  * Updated from global requirements
* Thu Apr 10 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev32.gd4fce50:
  * Updated from global requirements
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev31.g635dbd7:
  * Add sample for Keystone auth
* Fri Apr  4 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev30.gcaa12be:
  * Updated from global requirements
* Tue Apr  1 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev29.g2497197:
  * Move auth tests under the unit package
* Fri Mar 14 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev28.g1bc1fa8:
  * Refactoring iterators
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev27.g7ed5591:
  * Added API version to URL
* Thu Mar  6 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev26.ga0b4feb:
  * Add support for claims
* Sat Mar  1 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev25.g8e06994:
  * Updated from global requirements
  * Add python3 and pypy trove classifiers
  * Fix misspellings in python marconiclient
* Tue Feb 25 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev20.g1a58c7e:
  * Added iterable list of queues
* Mon Feb 24 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev18.gc24d511:
  * Updated from global requirements
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version python-marconiclient-0.0.1a1.dev17.g18dc318:
  * Fix the message __repr__ formatter
* Thu Feb 13 2014 speilicke@suse.com
- Drop requires on coverage and hacking
* Tue Feb 11 2014 speilicke@suse.com
- Update to version python-marconiclient-0.0.1a1.dev16.gf53a284:
  * Add /health support to the client
  * Removed oslo.config from requirements.text
  * Delete unused module
  * Expose the stats attribute on a queue
  * Support building wheels (PEP-427)
- Replace git_tarballs source service with download_files and set_version
  + Use upstream URL as source (enables verification)
* Sat Jan 18 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1a1.dev9:
  + Sync with global requirements
* Fri Jan 17 2014 cloud-devel@suse.de
- Rebased patches:
  + 0001-Let-Hacking-choose-the-right-dependencies-on-its-own.patch dropped (merged upstream)
* Fri Jan 17 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1a1.dev7:
  + Let Hacking choose the right dependencies on its own
  + Add shard support to the client
* Thu Jan 16 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1a1.dev3:
  + Keystoneclient supports Py3K now
* Tue Jan 14 2014 speilicke@suse.com
- Fix running tests
* Tue Jan 14 2014 dmueller@suse.com
- Update to version 0.0.1a1.dev1:
  + Fixes wrong variable invoking during get transport
- add 0001-Let-Hacking-choose-the-right-dependencies-on-its-own.patch
- fix requirements
* Wed Jan  8 2014 opensuse-cloud@opensuse.org
- Update to version 0.0.1a1.dev80:
  + Add `deserialized_content` to the response
  + Add a Message resource and a MessageIterator
  + Use oslo.config>=1.2.0
  + chore: Bump version to 0.0.1a1 in preparation for our first release!
* Tue Jan  7 2014 opensuse-cloud@opensuse.org
- Update to version 0.1.dev75:
  + Move request_and_transport to the Client
  + Add a Client 'instantiator'
  + Add a base test class for the queues package
* Wed Dec 11 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.dev69:
  + Make pbr only a build-time dependency.
* Sat Dec  7 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.dev68:
  + Add missing requests requirement
* Wed Dec  4 2013 speilicke@suse.com
- Run testsuite during build (%%check section) and obsolete the test
  package. An overall simplification of the test process
- Fixed requirements
* Wed Dec  4 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.dev67:
  + Add `simple` example for the client library
* Tue Dec  3 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.dev66:
  + Remove unused packages
* Tue Nov 26 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.dev64:
  + Remove the dependency on oslo.config
* Thu Nov 21 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.dev62:
  + Support building wheels (PEP-427)
  + fix: import-time side effect on errors
  + Bootstrap Messages support
* Thu Nov 14 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.dev57:
  + Add list of required fields to the API definition
* Wed Nov 13 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.dev55:
  + Updated the readme to have valid links
  + Fix some links in the README
* Thu Oct 31 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.dev52:
  + Implement queue's API methods
* Fri Oct 25 2013 opensuse-cloud@opensuse.org
- Update to version 0.1.a50:
  + Implement HTTP Transport
  + change assertEquals to assertEqual
  + Pass keywords to the request initialization
* Tue Oct  1 2013 speilicke@suse.com
- Rather require python-PrettyTable than the old python-prettytable
* Thu Sep  5 2013 speilicke@suse.com
- Update to version 0.1.a6.ga46e57c:
  + python_sdist doesn't yet support generating changes
- Add set_version service
* Thu Aug  1 2013 speilicke@suse.com
- Only require discover on SLE
* Thu Jul 18 2013 speilicke@suse.com
- Initial version
